Update a guest note

This API helps you to update the details of the specified guest note.

You must specify the unique identifier of the guest as guest_id and the note as note_id in the API request.

Important

You can change the notes and note_type elements by using this API.
You can change the alert of a note by modifying the note_type as generic = 2.
You cannot update note_type for a private guest note.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Body Parameters

NameTypeDescription
idguidUnique 32-character identifier of the guest note.
is_privatebooleanIndicates whether the note is private.
alertbooleanIndicates whether the guest note alert is active.
note_typeenumType of the guest note: Unknown - 0, Generic - 2, Checkin - 3, Booking - 4, Payment - 8, Profile - 10
notesstringMessage inside the note.
centerobjectObject that contains the details of the center.
added_byobjectObject that contains the added by details.
created_datedatetimeDate on which the note was created.
is_post_to_pmsbooleanIndicates whether the chkPostToPms check box has been selected.
post_to_pms_response_messagestringError message for ChkPostToPMS.
entity_pkintEntity For which the notes is added.
entity_namestringEntity Name For which the note is added.

Response Details

NameTypeDescription
idguidUnique 32-character identifier of the guest note.
is_privatebooleanIndicates whether the note is private.
alertbooleanIndicates whether the guest note alert is active.
note_typeenumType of the guest note: Unknown - 0, Generic - 2, Checkin - 3, Booking - 4, Payment - 8, Profile - 10
notesstringMessage inside the note.
centerobjectObject that contains the details of the center.
added_byobjectObject that contains the added by details.
created_datedatetimeDate on which the note was created.
is_post_to_pmsbooleanIndicates whether the chkPostToPms check box has been selected.
post_to_pms_response_messagestringError message for ChkPostToPMS.
entity_pkintEntity For which the notes is added.
entity_namestringEntity Name For which the note is added.
Path Params
string
required
Defaults to d6cfc4ed-f7b6-454a-a8cd-36a67a324e57

Mandatory Unique 32-character identifier of the guest.

string
required
Defaults to d6cfc4ed-f7b6-454a-a8cd-36a67a324e57

Mandatory Unique 32-character identifier of the guest note.

Body Params
string

Unique identifier of the center.

boolean

This field denotes if the note is a private one. True - means the note is private. False - means the note is not private.

boolean

This denotes if the alert for the note is enabled or not. True - means the alert is ON. False - means the alert is OFF.

string
enum

Indicates the type of the note. 10 Show on opening Guest History, 3 Show during check-in, 4 Show when booking an appointment, 8 Show when taking payment, 2 Generic

Allowed:
string

This is the note for the guest on the appointment.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json